function Networks(){
	var _self = this;
	
	this.networkList = new Array();
	this.dlHeader = new Object();
}

Networks.prototype.downloaderCallback = function(json){
	var tempArray = eval(json);
	if(!tempArray)
		return;
		
	this.dlHeader = tempArray.shift();
    DEBUGLOG("networks.js[14]: return_code: " + this.dlHeader["return_code"]);
    if(this.dlHeader['return_code'] == "10") {
        ath.expire();
        return;
    } else if(this.dlHeader['return_code'] == "55") {
        ath.subExpired();
        return;
    }
	this.networkList.length = 0;
	this.networkList = this.networkList.concat(tempArray);
	
	var currentDate = new Date();
	this.dlHeader['last_fetch'] = parseInt(currentDate.getTime() / 1000, 10);
	sht.populateNetworkLists();
}

Networks.prototype.indexForName = function(name){
	for(x=0;x<this.networkList.length;x++){
		if(this.networkList[x]["name"] == name)
            return x;
	}
	return -1;
}

Networks.prototype.indexForID = function(id){
	for(x=0;x<this.networkList.length;x++){
		if(this.networkList[x]["id"] == id)
			return x;
	}
	return -1;
}

Networks.prototype.recordForID = function(ID){
	var networkArrayLength = this.networkList.length;
	for(var i=0;i<networkArrayLength;i++)
		if(this.networkList[i]['id'] == ID)
			return this.networkList[i];
	
	return "";
}

function NetworkListController(element, index, id){
	var _self = this;
	this.index = index;
	this.element = element;
	this.id = id;
	this.element.onSelect = function(){ _self.doSelect(); }
}

NetworkListController.prototype.doSelect = function() {
	sht.changeSeriesRecordNetwork(this.index);
}

Networks.prototype.updateData = function(userInitiated){
	var currentDate = new Date();
	var currentEpoch = parseInt(currentDate.getTime() / 1000, 10);
	var lastFetch = this.dlHeader['last_fetch'] ? this.dlHeader['last_fetch'] : 0;
	var timeDifference = currentEpoch - lastFetch;
	var minTimeDifference = (this.dlHeader['min_hit_minutes'] ? this.dlHeader['min_hit_minutes'] : 15) * 60;
	
	if(userInitiated == 'false' && (timeDifference < minTimeDifference))
	{
		return;
	}
	
	netDownloader.buildURL(0, userInitiated);
	rmtQueue.setSubActive(kNetworksFeed);
	netDownloader.fetchURL();
}	
